#!/bin/csh

setenv PREFIX `rpm -q sybase-common | grep 12.5`
if ( $?PREFIX == "0" ) then
    setenv SYBASE /opt/sybase-12.5
else
    setenv SYBASE `rpm -q --queryformat '%{installprefix}' $PREFIX`
endif

if ( $?PATH == "0" ) then
	setenv PATH ""
endif
setenv SYBASE_OCS OCS-12_5
setenv PATH ${SYBASE}/${SYBASE_OCS}/bin:$PATH
if ( $?LD_LIBRARY_PATH == "0" ) then
	setenv LD_LIBRARY_PATH ""
endif
setenv LD_LIBRARY_PATH ${SYBASE}/${SYBASE_OCS}/lib:${LD_LIBRARY_PATH}
