#!/bin/csh

setenv PREFIX `rpm -q sybase-common | grep 12.5`
if ( $?PREFIX == "0" ) then
    setenv SYBASE /opt/sybase-12.5
else
    setenv SYBASE `rpm -q --queryformat '%{installprefix}' $PREFIX`
endif

if ( $?PATH == "0" ) then
	setenv PATH ""
endif

setenv SYBASE_FTS FTS
setenv SYBASE_OCS OCS
setenv SYBASE_ASE ASE
setenv SYBASE_SYSAM SYSAM

if ( $?LM_LICENSE_FILE == "0" ) then
	setenv LM_LICENSE_FILE ""
endif

setenv LM_LICENSE_FILE ${SYBASE}/${SYBASE_SYSAM}/licenses/license.dat:$LM_LICENSE_FILE
if ( $?LD_LIBRARY_PATH == "0" ) then
	setenv LD_LIBRARY_PATH ""
endif

setenv LD_LIBRARY_PATH ${SYBASE}/${SYBASE_ASE}/lib:${SYBASE}/${SYBASE_OCS}/lib:${SYBASE}/${SYBASE_FTS}/lib:${SYBASE}/SQLRemote/lib:$LD_LIBRARY_PATH


set path = ( ${SYBASE}/${SYBASE_ASE}/bin ${SYBASE}/${SYBASE_OCS}/bin ${SYBASE}/${SYBASE_FTS}/bin ${SYBASE}/${SYBASE_SYSAM}/bin ${SYBASE}/shared/jre/bin $path )
