#!/bin/sh
#
#  Clean approach for you work environment
#  Wim ten Have, <wtenhave@sybase.com>
#

PREFIX=`rpm -q sybase-common | grep 12.5`
if [ "$PREFIX" ]; then
    export SYBASE=`rpm -q --queryformat '%{installprefix}' $PREFIX`
else
    export SYBASE=/opt/sybase-12.5
fi

export SYBASE_FTS=FTS
export SYBASE_OCS=OCS
export SYBASE_ASE=ASE
export SYBASE_SYSAM=SYSAM

export LM_LICENSE_FILE=${SYBASE}/${SYBASE_SYSAM}/licenses/license.dat:$LM_LICENSE_FILE
export LD_LIBRARY_PATH=${SYBASE}/${SYBASE_ASE}/lib:${SYBASE}/${SYBASE_FTS}/lib:${SYBASE}/${SYBASE_OCS}/lib:${SYBASE}/SQLRemote/lib:$LD_LIBRARY_PATH

export PATH="${SYBASE}/${SYBASE_ASE}/bin:${SYBASE}/${SYBASE_OCS}/bin:${SYBASE}/${SYBASE_SYSAM}/bin:${SYBASE}/shared/jre/bin:$PATH"
