#!/bin/sh
sysam_dir=$1
verbose=$2

#save output of lmutil lmstat in a temp file
temp=/tmp/lmstat.$$
$sysam_dir/bin/lmutil lmstat -a -c $sysam_dir/licenses/license.dat >> $temp

# check for server UP
`grep 'license server UP' $temp > /dev/null 2>&1`
status=$?

# if -v cat output so that we can see it
if [ "$verbose" = "-v" ]; then
   cat $temp
fi

rm $temp


# return status
exit $status


